=begin
(c) SketchUcation [SCF] / TIG 2013
###
All rights reserved.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES; 
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
FITNESS FOR A PARTICULAR PURPOSE.
###
!SketchUcation_loader.rb
Sets up SCF_loader in SketchUcation subfolder.
Version:
20130402 Updated file-structure & RBS encryption.
20130403 Now SCF_Dialog.  'Plugins'...
=end
###
require('sketchup.rb')
require('extensions.rb')
###
module SCF
	### set Constants
	NAME="SCF"
	LNAME="SketchUcation"
	VERSION="1.0"
	###
    PLUGINS=File.dirname(__FILE__)
    FOLDER=File.join(PLUGINS, LNAME)
    CONTAINER=File.dirname(PLUGINS) ### typically Plugins
	###
	IS_MAC=(RUBY_PLATFORM.downcase =~ /darwin/) != nil
	###
	HOME=File.expand_path(ENV["HOME"] || ENV["HOMEPATH"] || ENV["HOMEDRIVE"])
	if IS_MAC
		DESKTOP=File.join(HOME, "Desktop") ### TBC
	else
		DESKTOP=File.join(HOME, "Desktop") ### PC
	end
	###
	[	ENV['TEMP'], 
		ENV['TMP'], 
		ENV['TMPDIR'], 
		ENV['USERPROFILE'], 
		'C:/Temp', 
		'/tmp', 
		FOLDER, 
		PLUGINS, 
		CONTAINER, 
		HOME, 
		DESKTOP, 
		Dir.pwd
	].each{|d|
		if d && File.directory?(d) && File.writable?(d)
			TEMP = File.expand_path(d)
			break
		end
    }
	###
	TEMPDIR	= File.join(TEMP, NAME)
	begin ### allows for false File.exist? failure with non-ASCII
		Dir.mkdir(TEMPDIR)
	rescue
		###
	end
	###
	CREATOR="#{LNAME}"
	COPYRIGHT="#{LNAME} © #{Time.now.year}"
	### set up folders
 	STRINGS=File.join(FOLDER, "Strings") ### Translations
	IMAGES=File.join(FOLDER, "Images") ### Icons
    DATA=File.join(FOLDER, "Data") ### HTML etc
	###
	### set up translated Constants ### File.exists? should always work as all ASCII in path
	file=File.join(STRINGS, "#{NAME}-#{Sketchup.get_locale.upcase}.strings")
	if File.exist?(file)
		lines=IO.readlines(file)
	else
		file=File.join(STRINGS, "#{NAME}-EN-US.strings")
		if File.exist?(file)
			lines=IO.readlines(file)
		else
			lines=[]
		end
	end
	lines.each{|line|
		line.chomp!
		next if line.empty? || line=~/^[#]/
		next unless line=~/[=]/
		eval(line) ### set CONSTANT=value
	}
	###
	EXT=SketchupExtension.new(NAME, File.join(FOLDER, "SCF_loader.rb"))
	EXT.name = LNAME
	EXT.description = DESC
	EXT.version = VERSION
	EXT.creator = CREATOR
	EXT.copyright = COPYRIGHT
	ext=Sketchup.register_extension(EXT, true) # show on 1st install
	###
end#module
