=begin
(c) SketchUcation [SCF] / TIG 2013
###
All rights reserved.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES; 
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND 
FITNESS FOR A PARTICULAR PURPOSE.
###
SCF_loader.rb
Loads SketchUcation tools from their subfolder.
Version:
20130402 Updated file-structure & RBS encryption.
20130403 Now SCF_Dialog.  'Plugins'...
=end
###
module SCF
	### load all scripts...
	Dir.entries(FOLDER).each{|r|
		next if r == File.basename(__FILE__) # ignore myself
		x = File.extname(r).downcase
		next unless x == '.rb' || x == '.rbs'
		Sketchup::require(File.join(FOLDER, r)) ### load it
	}
	###
	unless file_loaded?(__FILE__)
		### Make cmds
		cmd=UI::Command.new(DESC){SCF_Dialog.new()}
		cmd.tooltip=DESC
		cmd.status_bar_text=DESC+"..."
		cmd.small_icon=File.join(IMAGES, 'SCF-16.png')
		cmd.large_icon=File.join(IMAGES, 'SCF-24.png')
		###
		UI.menu("Plugins").add_item(cmd)
		###
		TOOLBAR=UI::Toolbar.new(DESC)
		TOOLBAR.add_item(cmd)
		TOOLBAR.restore if TOOLBAR.get_last_state.abs==1 # TB_VISIBLE/NEVER
		###
	end#unless
	file_loaded(__FILE__)
	###
	@model=Sketchup.active_model
	@defns=@model.definitions
	###
end#module
###
